ApiArena

List test suites

GET
/arena/suites

Get all test suites of your organization.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/arena/suites"
{
  "arena_suites": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "assistant_id": "b3a0271c-5834-40ff-bc5d-41ab5e39dfef",
      "number_id": "879cdb1c-6045-45ce-871d-5bdb73aa8c39",
      "caller_number_id": "6724ddc7-3cb4-46c7-90e2-4e18c26317c6",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "cases": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "suite_id": "3e9c08eb-436b-4d4b-9cfe-ca21d8bdb99b",
          "key": "string",
          "version": 0,
          "status": "proposed",
          "goal": "string",
          "tester_kind": "speech_to_speech",
          "tester_model": "primary",
          "persona_id": "string",
          "language_plan": {
            "language": "nl"
          },
          "audio_profile_id": "string",
          "channel": "clean",
          "channel_params": {},
          "timeline": [
            {
              "type": "noise",
              "at_s": 0,
              "at_turn": 1
            }
          ],
          "facts": {},
          "entities": [
            {
              "key": "string",
              "label": "string",
              "value": "7411 AB",
              "spoken": "string"
            }
          ],
          "tool_mode": {
            "property1": {
              "mode": "live",
              "response": null,
              "fault": "error",
              "message": "string",
              "delay_ms": 0,
              "then": "live"
            },
            "property2": {
              "mode": "live",
              "response": null,
              "fault": "error",
              "message": "string",
              "delay_ms": 0,
              "then": "live"
            }
          },
          "max_duration_s": 0,
          "criteria": [
            {
              "id": "string",
              "kind": "must",
              "severity": "normal",
              "text": "string",
              "tool": "string",
              "arguments": {},
              "destination": "string",
              "by": "assistant",
              "entity": "string",
              "stages": [
                "understood"
              ],
              "metric": "string",
              "max_ms": 0
            }
          ],
          "source_call_ids": [
            "65de6817-20ce-4664-a1cf-f5e36479682d"
          ],
          "created_by": "ai",
          "created_at": "2019-08-24T14:15:22Z"
        }
      ]
    }
  ]
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}